org.keycloak.events.mongo

## Class MongoEventStoreProviderFactory

- java.lang.Object
- - org.keycloak.events.mongo.MongoEventStoreProviderFactory

- All Implemented Interfaces:
    EventStoreProviderFactory, ProviderFactory<EventStoreProvider>

      public class MongoEventStoreProviderFactory
      extends Object
      implements EventStoreProviderFactory

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoEventStoreProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `EventStoreProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoEventStoreProviderFactory

          public MongoEventStoreProviderFactory()

  - ### Method Detail

    - #### create

          public EventStoreProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<EventStoreProvider>`

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<EventStoreProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<EventStoreProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<EventStoreProvider>`

Copyright © 2014. All Rights Reserved.